Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Class SynchronizedPriorityQueue

    java.lang.Object
      org.apache.commons.collections.SynchronizedPriorityQueue

All Implemented Interfaces:
  PriorityQueue

Deprecated. PriorityQueue is replaced by the Buffer interface, see buffer subpackage. Due to be removed in v4.0.

    public final class SynchronizedPriorityQueue

extends java.lang.Object
implements PriorityQueue

A thread safe version of the PriorityQueue. Provides synchronized wrapper methods for all the methods defined in the PriorityQueue interface.

Since:
  Commons Collections 1.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Ram Chidambaram

Field Summary
`protected PriorityQueue` | `m_priorityQueue` Deprecated. The underlying priority queue.

Constructor Summary
`SynchronizedPriorityQueue(PriorityQueue priorityQueue)` Deprecated. Constructs a new synchronized priority queue.

Method Summary
`void` | `clear()` Deprecated. Clear all elements from queue.
`void` | `insert(java.lang.Object element)` Deprecated. Insert an element into queue.
`boolean` | `isEmpty()` Deprecated. Test if queue is empty.
`java.lang.Object` | `peek()` Deprecated. Return element on top of heap but don't remove it.
`java.lang.Object` | `pop()` Deprecated. Return element on top of heap and remove it.
`java.lang.String` | `toString()` Deprecated. Returns a string representation of the underlying queue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_priorityQueue

    protected final PriorityQueue m_priorityQueue

  Deprecated.
  The underlying priority queue.

Constructor Detail

### SynchronizedPriorityQueue

    public SynchronizedPriorityQueue(PriorityQueue priorityQueue)

  Deprecated.
  Constructs a new synchronized priority queue.

  Parameters:
    `priorityQueue` - the priority queue to synchronize

Method Detail

### clear

    public void clear()

  Deprecated.
  Clear all elements from queue.

  Specified by:
    `clear` in interface `PriorityQueue`

### isEmpty

    public boolean isEmpty()

  Deprecated.
  Test if queue is empty.

  Specified by:
    `isEmpty` in interface `PriorityQueue`
  Returns:
    true if queue is empty else false.

### insert

    public void insert(java.lang.Object element)

  Deprecated.
  Insert an element into queue.

  Specified by:
    `insert` in interface `PriorityQueue`
  Parameters:
    `element` - the element to be inserted

### peek

    public java.lang.Object peek()
                          throws java.util.NoSuchElementException

  Deprecated.
  Return element on top of heap but don't remove it.

  Specified by:
    `peek` in interface `PriorityQueue`
  Returns:
    the element at top of heap
  Throws:
    `java.util.NoSuchElementException` - if isEmpty() == true

### pop

    public java.lang.Object pop()
                         throws java.util.NoSuchElementException

  Deprecated.
  Return element on top of heap and remove it.

  Specified by:
    `pop` in interface `PriorityQueue`
  Returns:
    the element at top of heap
  Throws:
    `java.util.NoSuchElementException` - if isEmpty() == true

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a string representation of the underlying queue.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the underlying queue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.